Skip to main content
POST
/
fileimports
/
import
/
status
curl --request POST \ --url https://fileimports-data-api-0{dc}.moengage.com/v1.0/data/fileimports/import/status \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --header 'MOE-APPKEY: <moe-appkey>' \ --data ' { "import_name": "test_import", "import_type": [ "USERS", "EVENTS", "AUX_DATA" ], "date": { "start_date": "14/11/2024", "end_date": "14/11/2024", "format": "DD/MM/YYYY" }, "schedule_type": [ "PERIODIC", "ONETIME" ], "file_source": [ "SFTP", "S3", "CSV" ], "schedule_status": [ "SUCCESSFUL", "FAILED", "PARTIAL_SUCCESS", "SCHEDULED", "PROCESSING", "QUEUED", "ARCHIVED" ], "offset": "1" } '
{ "status": "success", "total_count": 1, "data": [ { "id": "672561rr0abd2da34cf7f7df", "file_name": "filename.csv", "scheduled_at": "2024-11-14T12:31:31.713000", "completed_at": "2024-11-14T12:32:09.942000", "type": "AUX_DATA", "file_size": "1544", "file_status": "SUCCESSFUL", "status_msg": "", "total_rows": 10, "skipped_rows": 0, "updated_rows": 0, "failed_rows": 0, "aux_data_added_count": 10, "aux_data_failed_count": 0, "added_rows": 10 } ], "offset": 1, "more_files": false }

Rate Limit

You can create 50 requests per minute.

Postman Collections

We have made it easy for you to test the APIs. Click here to view it in Postman.

Authorizations

Authorization
string
header
required

This authentication parameter, used for access control, must be passed along with the request. The API request will be authenticated through Basic Authentication. Basic Authentication sends a Base64-encoded string containing your username and password with every API request. It encodes a 'username:password' string in Base64 and appends the encoded string with 'Basic '. This string is included in the authorization header as shown below:

{"Authorization: Basic Base64_ENCODED_WORKSPACEID_APIKEY=="}

The username and password details can be obtained from the MoEngage Dashboard. If you're using the API for the first time, follow these steps:

  1. Navigate to Settings -> Account -> APIs.
  2. Copy the following details:
    • Username: Under Workspace ID (earlier app id), click the copy icon to copy the username.
    • Password: In the API keys section, click the copy icon in the Data tile to copy the API key.

Use these details to authenticate the API requests.

Headers

MOE-APPKEY
string
required

This is your MoEngage account's WORKSPACE ID that has to be passed along with the request.You can find your MoEngage Workspace ID at Settings -> Account -> APIs -> Workspace ID (earlier app id).

Body

application/json
import_type
enum<string>

This field denotes the type of data to be imported.

Available options:
USERS,
EVENTS,
AUX_DATA
date
object

This field denotes the file processing date. Supported values are:

  • start_date
  • end_date
  • format

If this field is not passed, the API will respond with details of all the files corresponding to the import_id / import_name passed and in accordance to the offset and limit values.

Supported date time formats are:

  • "datetime_format": "YYYY-MM-DD" (2022-01-22)
  • "datetime_format": "YYYY/MM/DD" (2022/01/22)
  • "datetime_format": "DD/MM/YYYY" (22/01/2022)
  • "datetime_format": "DD-MM-YYYY" (22-01-2022)
  • "datetime_format": "DD-MM-YYYY hh:mm:ss" (31-12-2022 12:10:33)
  • "datetime_format": "DD/MM/YYYY hh:mm:ss" (31/12/2022 12:10:33)
  • "datetime_format": "YYYY-MM-DD hh:mm:ss" (2019-02-22 17:54:14)
  • "datetime_format": "YYYY/MM/DD hh:mm:ss" (2019/02/22 17:54:14)
schedule_type
enum<string>

This field denotes the type of import schedule.

Available options:
PERIODIC,
ONETIME
file_source
enum<string>

This field denotes the file source of the import.

Available options:
SFTP,
S3,
CSV
schedule_status
enum<string>

This field denotes the import schedule status.

  • PARTIAL_SUCCESS is displayed when all rows in the files are not processed successfully.
  • QUEUED is displayed when the import is queued to be processed next.
  • ARCHIVED is displayed when the import is archived.
Available options:
SUCCESSFUL,
FAILED,
PARTIAL_SUCCESS,
SCHEDULED,
PROCESSING,
QUEUED,
ARCHIVED
import_name
string

This field denotes the name of the import.

offset
integer
default:1

'API responds with a maximum of 50 file details in a single response. For example, if there are a total of 150 files that are part of the API response, then:

  • Offset = 1 will fetch the details of the first 50 files
  • Offset = 2 will fetch the file details of the next 50 imports
  • Offset = 3 will fetch the import details of the last 50 imports
  • If offset is not passed in the request body, the API response will consider offset = 1.

You can refer to the total_count parameter in the response to understand how many total files are part of the response.

OR

If the API responds with more_files = true, it indicates that there are more files that are not part of the current response for which another API request must be made with offset +1.'

Response

Success.

status
string

This field denotes the status of the API response.

Example:

"success"

total_count
integer

This field denotes the total count of the imports in the response.

Example:

1

data
object[]

This field contains the import data details.

offset
integer

This field denotes the pagination value of the imports. For example, if there are 100 imports to be fetched in the response:

  • Offset = 1 will return the first 50 imports
  • Offset = 2 will return the next 50 import details
more_files
string

This field indicates if there are more files. For example, if there are 100 imports and offset = 1, 50 imports will be returned with more_file = true to indicate that offset = 2 must be passed to get the next 50 imports.